package cn.com.infosec.math.ec;

import java.math.BigInteger;

class ReferenceMultiplier implements ECMultiplier {
   public ECPoint multiply(ECPoint p, BigInteger k, PreCompInfo preCompInfo) {
      ECPoint var5 = p.getCurve().getInfinity();
      int preCompInfo1 = k.bitLength();

      for(int var4 = 0; var4 < preCompInfo1; ++var4) {
         if (k.testBit(var4)) {
            var5 = var5.add(p);
         }

         p = p.twice();
      }

      return var5;
   }
}
